Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.axf.space
Class Location2DDoubleAdapter

    java.lang.Object
      org.eclipse.amp.axf.space.Location1DDoubleAdapter
          org.eclipse.amp.axf.space.Location2DDoubleAdapter

All Implemented Interfaces:
  ILocation, ILocation1D, ILocation2D

Direct Known Subclasses:
  Location3DDoubleAdapter

    public abstract class Location2DDoubleAdapter

extends Location1DDoubleAdapter
implements ILocation2D

A marker interface. The measures are not defined.

Author:
  mparker

Field Summary

Fields inherited from interface org.eclipse.amp.axf.space.ILocation
`NOT_LOCATED`

Constructor Summary
`Location2DDoubleAdapter()`

Method Summary
`java.lang.Object` | `getY()`
`abstract double` | `getYDouble()`
`int` | `getYInteger()`

Methods inherited from class org.eclipse.amp.axf.space.Location1DDoubleAdapter
`getX, getXDouble, getXInteger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.amp.axf.space.ILocation1D
`getX, getXDouble, getXInteger`

Constructor Detail

### Location2DDoubleAdapter

    public Location2DDoubleAdapter()

Method Detail

### getY

    public final java.lang.Object getY()

  Specified by:
    `getY` in interface `ILocation2D`
  Returns:
  See Also:
    `ILocation2D.getY()`

### getYInteger

    public final int getYInteger()

  Specified by:
    `getYInteger` in interface `ILocation2D`
  Returns:
  See Also:
    `ILocation2D.getYInteger()`

### getYDouble

    public abstract double getYDouble()

  Specified by:
    `getYDouble` in interface `ILocation2D`
  Returns:
  See Also:
    `ILocation2D.getYDouble()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD